Package org.lwjgl.opengl

# Class ARBProvokingVertex

java.lang.Object
org.lwjgl.opengl.ARBProvokingVertex

public final class ARBProvokingVertex extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FIRST_VERTEX_CONVENTION`
Accepted by the <mode> parameter of ProvokingVertex:
`static final int`
`GL_LAST_VERTEX_CONVENTION`
Accepted by the <mode> parameter of ProvokingVertex:
`static final int`
`GL_PROVOKING_VERTEX`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glProvokingVertex(int mode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FIRST_VERTEX_CONVENTION

public static final int GL_FIRST_VERTEX_CONVENTION
Accepted by the <mode> parameter of ProvokingVertex:

See Also:
  - Constant Field Values

### GL_LAST_VERTEX_CONVENTION

public static final int GL_LAST_VERTEX_CONVENTION
Accepted by the <mode> parameter of ProvokingVertex:

See Also:
  - Constant Field Values

### GL_PROVOKING_VERTEX

public static final int GL_PROVOKING_VERTEX
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION

public static final int GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glProvokingVertex

public static void glProvokingVertex(int mode)